add-machine method Client.AddMachinesV2 is not implemented

Bug #1317267 reported by Curtis Hovey on 2014-05-07
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
juju-core
Critical
Andrew Wilkins

Bug Description

This command works with juju 1.18.2 client talking to a 1.18.2 state-server
    juju --debug add-machine ssh:ubuntu@10.55.32.174
But it fails when the client is 1.19.1
    ERROR juju.cmd supercommand.go:304 no such request - method Client.AddMachinesV2 is not implemented

I it appears that devel is not compatible with stable.

Related branches

Curtis Hovey (sinzui) wrote :

The failure looks like

juju --debug add-machine ssh:ubuntu@10.55.32.174
2014-05-07 18:26:38 INFO juju.cmd supercommand.go:301 running juju-1.19.1-trusty-amd64 [gc]
2014-05-07 18:26:38 DEBUG juju.conn api.go:185 trying cached API connection settings
2014-05-07 18:26:38 INFO juju.conn api.go:268 connecting to API addresses: [ec2-54-84-244-38.compute-1.amazonaws.com:17070]
2014-05-07 18:26:38 INFO juju.state.api apiclient.go:198 dialing "wss://ec2-54-84-244-38.compute-1.amazonaws.com:17070/"
2014-05-07 18:26:39 INFO juju.state.api apiclient.go:144 connection established to "wss://ec2-54-84-244-38.compute-1.amazonaws.com:17070/"
2014-05-07 18:26:39 INFO juju.environs.manual init.go:139 initialising "10.55.32.174", user "ubuntu"
2014-05-07 18:26:39 DEBUG juju.utils.ssh ssh.go:234 using OpenSSH ssh client
2014-05-07 18:26:39 DEBUG juju.utils.ssh ssh_openssh.go:122 running: ssh -o "StrictHostKeyChecking no" -o "PasswordAuthentication no" -i /home/curtis/Work/juju-qa/ssh/juju_id_rsa -i /home/curtis/.ssh/id_rsa ubuntu@10.55.32.174 sudo -n true
2014-05-07 18:26:40 INFO juju.environs.manual init.go:150 ubuntu user is already initialised
2014-05-07 18:26:40 INFO juju.environs.manual init.go:38 Checking if 10.55.32.174 is already provisioned
2014-05-07 18:26:40 DEBUG juju.utils.ssh ssh.go:234 using OpenSSH ssh client
2014-05-07 18:26:40 DEBUG juju.utils.ssh ssh_openssh.go:122 running: ssh -o "StrictHostKeyChecking no" -o "PasswordAuthentication no" -i /home/curtis/Work/juju-qa/ssh/juju_id_rsa -i /home/curtis/.ssh/id_rsa ubuntu@10.55.32.174 /bin/bash
2014-05-07 18:26:42 INFO juju.environs.manual init.go:55 10.55.32.174 is not provisioned
2014-05-07 18:26:42 INFO juju.environs.manual init.go:67 Detecting series and characteristics on 10.55.32.174
2014-05-07 18:26:42 DEBUG juju.utils.ssh ssh.go:234 using OpenSSH ssh client
2014-05-07 18:26:42 DEBUG juju.utils.ssh ssh_openssh.go:122 running: ssh -o "StrictHostKeyChecking no" -o "PasswordAuthentication no" -i /home/curtis/Work/juju-qa/ssh/juju_id_rsa -i /home/curtis/.ssh/id_rsa ubuntu@10.55.32.174 /bin/bash
2014-05-07 18:26:43 INFO juju.environs.manual init.go:120 series: precise, characteristics: arch=amd64 cpu-cores=1 mem=995M
2014-05-07 18:26:43 ERROR juju.cmd supercommand.go:304 no such request - method Client.AddMachinesV2 is not implemented

description: updated
Curtis Hovey (sinzui) wrote :

1.18.2 got to the next step, which appears to be running the cloud-init script.

2014-05-07 18:32:53 DEBUG juju.utils.ssh ssh_openssh.go:122 running: ssh -o "StrictHostKeyChecking no" -o "PasswordAuthentication no" -i /home/curtis/Work/juju-qa/ssh/juju_id_rsa -i /home/curtis/.ssh/id_rsa ubuntu@10.55.32.174 /bin/bash
2014-05-07 18:32:55 INFO juju.environs.manual init.go:120 series: precise, characteristics: arch=amd64 cpu-cores=1 mem=995M
2014-05-07 18:32:58 DEBUG juju.cloudinit.sshinit configure.go:51 Running script on ubuntu@10.55.32.174: rm -f '/var/log/cloud-init-output.log'

Andrew Wilkins (axwalk) wrote :

Yeah, I broke manual provisioning when adding placement directive support.

Changed in juju-core:
assignee: nobody → Andrew Wilkins (axwalk)
Curtis Hovey (sinzui) on 2014-05-08
Changed in juju-core:
status: Triaged → Fix Committed
Changed in juju-core:
status: Fix Committed → Fix Released
Manuel Seelaus (seelaman) wrote :

seeing this again when trying to add a xenial machine.

juju: 1.25.3

$ juju --debug add-machine ssh:<email address hidden>
2016-04-11 21:37:38 INFO juju.cmd supercommand.go:37 running juju [1.25.3-trusty-amd64 gc]
2016-04-11 21:37:38 DEBUG juju.api api.go:154 trying cached API connection settings - endpoints [91.189.88.21:17070]
2016-04-11 21:37:38 INFO juju.api api.go:266 connecting to API addresses: [91.189.88.21:17070]
2016-04-11 21:37:38 INFO juju.api apiclient.go:262 dialing "wss://91.189.88.21:17070/"
2016-04-11 21:37:38 INFO juju.api apiclient.go:194 connection established to "wss://91.189.88.21:17070/"
2016-04-11 21:37:38 DEBUG juju.api api.go:476 API hostnames unchanged - not resolving
2016-04-11 21:37:38 DEBUG juju.api api.go:506 cacheChangedAPIInfo: serverUUID=""
2016-04-11 21:37:38 INFO juju.cmd.juju.machine add.go:208 load config
2016-04-11 21:37:38 DEBUG juju.environs open.go:70 ConfigForName found bootstrap config map[string]interface {}{"api-port":17070, "ca-private-key":"-----XXX-----END RSA PRIVATE KEY-----\n", "maas-agent-name":"299263f0-b383-40e4-8cbb-66847d70bb15", "maas-oauth":"XXX", "maas-server":"http://91.189.94.35/MAAS/", "type":"maas", "ca-cert":"-----BEGIN CERTIFICATE-----\nXXX----END CERTIFICATE-----\n", "development":false,"name":"maas", "state-port":37017, "admin-secret":"XXX","authorized-keys":"ssh-rsa XXX maas-edge@fuath\n", "firewall-mode":"instance", "logging-config":"<root>=DEBUG", "ssl-hostname-verification":true, "default-series":"precise", "image-metadata-url":"", "tools-url":""}
2016-04-11 21:37:38 INFO juju.cmd.juju.machine add.go:217 manual provisioning
2016-04-11 21:37:38 INFO juju.environs.manual init.go:139 initialising "belden.internal", user "ubuntu"
2016-04-11 21:37:38 DEBUG juju.utils.ssh ssh.go:249 using OpenSSH ssh client
2016-04-11 21:37:38 INFO juju.environs.manual init.go:150 ubuntu user is already initialised
2016-04-11 21:37:38 INFO juju.environs.manual init.go:35 Checking if belden.internal is already provisioned
2016-04-11 21:37:38 DEBUG juju.utils.ssh ssh.go:249 using OpenSSH ssh client
2016-04-11 21:37:39 INFO juju.environs.manual init.go:56 belden.internal is not provisioned
2016-04-11 21:37:39 INFO juju.environs.manual init.go:67 Detecting series and characteristics on belden.internal
2016-04-11 21:37:39 DEBUG juju.utils.ssh ssh.go:249 using OpenSSH ssh client
2016-04-11 21:37:39 INFO juju.environs.manual init.go:120 series: xenial, characteristics: arch=amd64 cpu-cores=6 mem=32133M
2016-04-11 21:37:39 ERROR juju.cmd supercommand.go:429 no such request - method Client.AddMachinesV2 is not implemented

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers